# nix-modpack

Create a modpack server or MultiMC client from a packwiz toml.

## Creating a server
A server derivation can be created as follows:
```nix
nix-modpack.packages.${system}.mkServer {
    packUrl = "<url to pack.toml>";
    server = nix-minecraft.legacyPackages.${system}.${server}
}
```
When this is added as a package to a flake, it can be started with `nix run`.

## Creating a client
A client derivation can be created as follows:
```nix
nix-modpack.packages.${system}.mkClient {
    packUrl = "<url to pack.toml>";
    gameVersion = "<minecraft version>";
    loaderUid = "<loader identifier>";
    loaderVersion = "<loader version>";
}
```
To use it you need to `nix build` it before importing the resulting `modpack.zip` into prism launcher. 

The `loaderUid` depends on the modloader, for NeoForge it is `net.neoforged`. It can be found experimentally by exporting an empty instance with the loader installed from prism launcher and inspecting the mmc-pack.json inside of it. 